Bug 56357 - ethtool not operation supported
Summary: ethtool not operation supported
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ethtool (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-16 03:32 UTC by Thornton Prime
Modified: 2013-07-03 02:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 16:53:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thornton Prime 2001-11-16 03:32:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686; Nav)

Description of problem:
Ethtool doesn't work.

Any attempt to use it returns an error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run 'ethtool'
2. Read the error.
3. Cry.
	

Actual Results:  # ethtool eth0
Cannot get current device settings: Operation not supported


Expected Results:  Show me the network speed, duplex, and other settings.

Additional info:

I've tried this with multiple NICs and a variety of drivers.

Comment 1 Jeff Garzik 2002-10-11 19:32:48 UTC
What drivers are you seeing this ethtool behavior with?

Most likely this issue is now resolved with the current kernels, but I need to
know specifically what drivers are currently showing the 'operation not
supported' behavior.


Comment 2 Jeff Garzik 2002-12-09 19:52:09 UTC
ethtool is much more widely supported in drivers, in the current Red Hat releases.

There has been no response on this bug in a while, and it is very non-specific
with regards to hardware, so I am going to close it.

If problems persist, please file a new bug with specific details about what
drivers you are using (lsmod) and what hardware you have (lspci).



Note You need to log in before you can comment on or make changes to this bug.